Summary: Shared library to work around qmail 0.0.0.0 bug
Name: qmail-workaround
Version: 0.0.1
Release: 4%{?dist}
License: Public Domain
Group: System/Library
Source: qmail-workaround-0.0.1.tar.gz
Patch0: qmail-workaround-0.0.1-tidy.patch
Patch1: qmail-workaround-0.0.1-path.patch
Distribution: %{?_distribution:%{_distribution}}%{!?_distribution:%{_vendor}}
Prefix: %{_prefix}
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root

%description
This package contains a shared library which blocks connect calls
with destination of 0.0.0.0. This blocks a mail looping problem with
qmail, which doesn't recognize that 0.0.0.0 is a local address.
Spammers not infrequently use 0.0.0.0 in MX records.

%prep
%setup -q 
%patch0 -p1
%patch1 -p1

%build
gcc -Wall -O2 -fpic -shared -ldl -o no_connect_zero.so no_connect_zero.c

%install
mkdir -p $RPM_BUILD_ROOT/var/service/qmail
cp no_connect_zero.so $RPM_BUILD_ROOT/var/service/qmail

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc 
/var/service/qmail/*

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Thu Apr 13 2006 Charlie Brady <charlie_brady@mitel.com> 0.0.1-03
- Allow dlopen to use search path to find libc. [SME: 1248]
- Fix error reporting.

* Wed Apr 12 2006 Charlie Brady <charlie_brady@mitel.com> 0.0.1-02
- Prefix error message with Z so logs are complete. [SME: 1116]

* Thu Mar 23 2006 Charlie Brady <charlie_brady@mitel.com> 0.0.1-01
- Initial [SME: 1116]

